﻿<?php
require('config.inc.php');
require_login('admin');

if(isset($_POST['btn_save']))
{
	$caption = get_caption();
	for($i=1;$i<=$port;$i++)
		if(isset($_POST["input$i"]))
			$caption["input$i"] = substr(str_replace('\n', '', trim($_POST["input$i"])), 0, 16);
	for($i=1;$i<=$port;$i++)
		if(isset($_POST["output$i"]))
			$caption["output$i"] = substr(str_replace('\n', '', trim($_POST["output$i"])), 0, 16);
	for($i=1;$i<=$scene;$i++)
		if(isset($_POST["scene$i"]))
			$caption["scene$i"] = substr(str_replace('\n', '', trim($_POST["scene$i"])), 0, 16);
	set_caption($caption);
}

$caption = get_caption();

function show_table_i()
{
	global $port;
	global $caption;
	for($i=1;$i<=$port;$i++)
	{
		if(isset($caption["input$i"]))
			$cap = htmlspecialchars($caption["input$i"]);
		else
			$cap = $i;
		printf("<div>%03d : <input id='cap' name='input$i' type='text' value='$cap' maxlength='16' /></div>\n", $i);
	}
}

function show_table_o()
{
	global $port;
	global $caption;
	for($i=1;$i<=$port;$i++)
	{
		if(isset($caption["output$i"]))
			$cap = htmlspecialchars($caption["output$i"]);
		else
			$cap = $i;
		printf("<div>%03d : <input id='cap' name='output$i' type='text' value='$cap' maxlength='16' /></div>\n", $i);
	}
}

function show_table_s()
{
	global $scene;
	global $caption;
	for($i=1;$i<=$scene;$i++)
	{
		if(isset($caption["scene$i"]))
			$cap = htmlspecialchars($caption["scene$i"]);
		else
			$cap = $i;
		printf("<div>%03d : <input id='cap' name='scene$i' type='text' value='$cap' maxlength='16' /></div>\n", $i);
	}
}

require('header.inc.php');
?>
<div class="container">
	<form action="" method="post">
	<table class="cap_tab">
		<tbody>
			<tr>
				<td><h2><?php echo $zh ? "场景" : "Scene";?><h2></td>
				<td></td>
			</tr>
			<tr>
				<td>
<?php show_table_s(); ?>
				</td>
				<td style="width:160px">
					<button type="button" name="btn_clear" class="btn btn-lg btn-warning" style="width:140px"><span class="glyphicon glyphicon-remove"></span> <?php echo $zh ? "清空" : "Clear";?></button></p>
					<button type="button" name="btn_default" class="btn btn-lg btn-warning" style="width:140px"><span class="glyphicon glyphicon-repeat"></span> <?php echo $zh ? "默认" : "Default";?></button></p>
					<button type="button" name="btn_load" class="btn btn-lg btn-info" style="width:140px"><span class="glyphicon glyphicon-floppy-open"></span> <?php echo $zh ? "载入" : "Load";?></button></p>
					<button type="submit" name="btn_save" class="btn btn-lg btn-danger" style="width:140px"><span class="glyphicon glyphicon-floppy-save"></span> <?php echo $zh ? "保存" : "Save";?></button></p>
				</td>
			</tr>
			<tr>
				<td><h2><?php echo $zh ? "输入" : "Input";?><h2></td>
				<td></td>
			</tr>
			<tr>
				<td>
<?php show_table_i(); ?>
				</td>
				<td></td>
			</tr>
			<tr>
				<td><h2><?php echo $zh ? "输出" : "Output";?><h2></td>
				<td></td>
			</tr>
			<tr>
				<td>
<?php show_table_o(); ?>
				</td>
				<td></td>
			</tr>
		</tbody>
	</table>
	</form>
</div>
<script type="text/javascript">
$('#nav_caption').attr('class', 'active');

$('button[name=btn_clear]').bind("click", function()
{
	$('input[id=cap]').val("")
});

$('button[name=btn_default]').bind("click", function()
{
	var i = 0;
	for(i=1;i<=mx_port;i++)
	{
		$('input[name=input'+i+']').val(i);
		$('input[name=output'+i+']').val(i);
	}
	for(i=1;i<=mx_scene;i++)
	{
		$('input[name=scene'+i+']').val(i);
	}
});

$('button[name=btn_load]').bind("click", function()
{
	window.location.reload();
});

</script>
<?php require('footer.inc.php'); ?>
