﻿<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="">
	<link rel="icon" href="favicon.ico">
	<title>Matrix</title>
	<!-- Bootstrap core CSS -->
	<link href="css/bootstrap.min.css" rel="stylesheet">
	<!-- Bootstrap theme -->
	<link href="css/bootstrap-theme.min.css" rel="stylesheet">
	<!-- Custom styles for this template -->
	<link href="css/theme.css" rel="stylesheet">
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="js/html5shiv.min.js"></script>
		<script src="js/respond.min.js"></script>
	<![endif]-->
	<!-- jQuery JavaScript -->
	<script src="js/jquery.min.js"></script>
	<script type="text/javascript">
<?php
	printf("\tvar mx_port=$port;\n");
	printf("\tvar mx_scene=$scene;\n");
	printf("\tvar mx_keypad=$keypad;\n");
	printf("\tvar mx_host=\"$host\";\n");
	printf("\tvar mx_key=\"$key\";\n");
	printf("\tvar mx_login=$login;\n");
?>
	</script>
</head>
<body role="document">

<script type="text/javascript">
$(document).ready(function()
{
	if(window.location.search.indexOf('inner=1') >= 0) {
		$('nav').hide();
		$('footer').hide();
	}
	if(mx_login) {
		$('#nav_login').hide();
		$('#nav_logout').show();
	}
	else {
		$('#nav_login').show();
		$('#nav_logout').hide();
	}
});


var viewport = document.querySelector("meta[name=viewport]");

if(viewport)
{
	var scale = 1.0;
	var width = document.body.clientWidth;

	//document.write(width + "<br>");
	//document.write(scale + "<br>");

	if(width >= 1200)
	{
		scale = width / 1200;
		width = 1200;
	}
	else if(width >= 992)
	{
		scale = width / 992;
		width = 992;
	}
	else if(width >= 768)
	{
		scale = width / 768;
		width = 768;
	}
	else if(width <= 600)
	{
		scale = width / 600;
		width = 600;
	}
	else
	{
		scale = 1;
		width = width;
	}

	viewport.setAttribute("content", "width=" + width + ", user-scalable=no, initial-scale=" + scale + ", minimum-scale=" + scale + ", maximum-scale=" + scale);

	//document.write(width + "<br>");
	//document.write(scale + "<br>");
}
</script>

<!-- static navbar -->
<nav class="navbar navbar-inverse navbar-static-top">
	<div class="container">
		<div class="navbar-header">
			<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
			<span class="sr-only">Toggle navigation</span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			</button>
			<!--<a class="navbar-brand" href="#">Matrix</a>-->
			<img src="images/<?=$images?>/banner.png"></img>
		</div>
		<div id="navbar" class="navbar-collapse collapse">
			<ul class="nav navbar-nav navbar-right">
				<li id="nav_home"><a href="index.php"><?php echo $zh ? "首页" : "Home";?></a></li>
				<li id="nav_manager"><a href="manager.php"><?php echo $zh ? "管理" : "Manager";?></a></li>
				<li id="nav_switch"><a href="switch.php"><?php echo $zh ? "切换" : "Switch";?></a></li>
				<li id="nav_scene"><a href="scene.php"><?php echo $zh ? "场景" : "Scene";?></a></li>
				<li id="nav_caption"><a href="caption.php"><?php echo $zh ? "标签" : "Caption";?></a></li>
				<li id="nav_setup"><a href="setup.php"><?php echo $zh ? "设置" : "Setup";?></a></li>
				<li id="nav_login"><a href="login.php"><?php echo $zh ? "登陆" : "Login";?></a></li>
				<li id="nav_logout" style="display:none"><a href="logout.php"><?php echo $zh ? "退出" : "Logout";?></a></li>
				<li class="dropdown">
					<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><?php echo $zh ? "更多" : "More";?> <span class="caret"></span></a>
					<ul class="dropdown-menu">
					<!-- <li role="separator" class="divider"></li> -->
					<!-- <li class="dropdown-header">Tools</li> -->
					<!-- <li id="nav_script"><a href="script.php"><?php echo $zh ? "脚本" : "Script";?></a></li> -->
					<li id="nav_screen"><a href="screen.php"><?php echo $zh ? "截屏" : "Screen";?></a></li>
					<li id="nav_upgrade"><a href="upgrade.php"><?php echo $zh ? "升级" : "Upgrade";?></a></li>
					<li id="nav_license"><a href="license.php"><?php echo $zh ? "许可" : "License";?></a></li>
					<li id="nav_debug"><a href="debug.php"><?php echo $zh ? "调试" : "Debug";?></a></li>
					</ul>
				</li>
			</ul>
		</div>
	</div>
</nav>
